frr version 8.5.1
frr defaults datacenter
hostname leaf02
no zebra nexthop kernel enable
service integrated-vtysh-config
!
router bgp 65102
 bgp router-id 10.0.0.2
 no bgp default ipv4-unicast
 bgp bestpath as-path multipath-relax
 neighbor underlay peer-group
 neighbor underlay remote-as 65199
 neighbor 172.16.1.2 peer-group underlay
 neighbor 172.16.1.2 description spine01
 neighbor 172.16.2.2 peer-group underlay
 neighbor 172.16.2.2 description spine02
 !
 address-family ipv4 unicast
  network 10.0.0.2/32
  neighbor underlay activate
  maximum-paths 64
 exit-address-family
 !
 address-family l2vpn evpn
  neighbor underlay activate
  advertise-all-vni
 exit-address-family
exit
!
route-map RM_SET_SRC permit 10
 set src 10.0.0.2
exit
!
ip protocol bgp route-map RM_SET_SRC
!